import { Peritext } from '../peritext';
import { ExtensionId } from '../constants';
import { ExtNode } from '../../json-crdt/extensions/ExtNode';
import type { StrNode } from '../../json-crdt/nodes/str/StrNode';
import type { ArrNode } from '../../json-crdt/nodes/arr/ArrNode';
import type { QuillDataNode, QuillDeltaOp } from './types';
export declare class QuillDeltaNode extends ExtNode<QuillDataNode> {
    readonly data: QuillDataNode;
    readonly txt: Peritext<string>;
    constructor(data: QuillDataNode);
    text(): StrNode<string>;
    slices(): ArrNode;
    readonly extId = ExtensionId.quill;
    name(): string;
    private _view;
    private _viewHash;
    view(): QuillDeltaOp[];
}
